E1端末を維持し、伝送ネットワークをIPに置き換える
一方の既存機器が引き続きE1を出力し、もう一方もE1を受信する必要があるものの、その間で利用できるのがEthernetまたはIPネットワークだけである場合、E1 over IP回線エミュレーションを検討できます。両端のゲートウェイは、連続するE1データをネットワークパケットに分割し、配信後に選択されたサービスモードに適合するE1信号を出力します。維持されるのは回線インターフェースであり、既存機器そのものがEthernet機器に変わるわけではありません。
従来の回線とIPネットワークの統合を理解するには、まずサービスフレーム、伝送パケット、回線タイミングを区別する必要があります。G.704は関連するフレーム構造を定義するものであり、IPカプセル化プロトコルではありません。管理システムはNTPで日時を補正しますが、それをもってE1回線クロックがすでにサービス要件を満たしているとは判断できません。
連続した一定周期の動作と、パケット単位の転送は何が違うのでしょうか?
E1は一定の回線クロックに従って連続的にビットを送信し、受信機器はこのクロックを基準にデータを読み取ります。IPネットワークはパケットを1つずつ転送し、パケットは交換処理やキューイングを経由し、経路が変わる場合もあります。平均帯域幅が十分でも、複数のパケットが集中して到着し、その後、一時的にパケットが到着しなくなることがあります。この到着間隔の変動をパケット遅延変動と呼びます。
送信側では、ゲートウェイがまずE1データを受信し、設定されたペイロード長に従って分割してから、必要な伝送ヘッダーとチャネル識別子を付加します。受信側では、対応するサービスを識別し、パケット順序を確認し、TDMデータを取り出して出力を復元します。TDMは時間に従って伝送を割り当てる方式です。擬似回線は、パケットネットワーク上で接続をエミュレートする伝送の仕組みであり、専用の物理回線が敷設されていることを意味するものではありません。
SAToPとCESoPSN:回線の扱い方による選択
RFC 4553はSAToPを説明しています。SAToPはサービスのフレーム構造を解析せずにTDMビットストリームを伝送し、回線全体を運ぶ必要がある該当用途に適しています。RFC 5086はCESoPSNを説明しており、構造化された64キロビットのサービスチャネルを扱います。両者はサービスの扱い方が異なるため、どちらもE1 over IPと表示されているというだけで、設定を相互に置き換えられると考えるべきではありません。
機種選定時には、両端でサポートされる伝送方式、カプセル化、ペイロード長、フレームおよびシグナリング設定、チャネルマッピング、ファームウェアバージョンを確認してください。規格名は仕組みの理解には役立ちますが、製品の相互運用性確認の代わりにはなりません。本記事では一般的な分割処理を例示しており、それを根拠に飛暢科技の特定機種がすべてのRFCモードに対応していると主張するものではありません。

ジッタバッファは必要なクロックに従ったデータ出力を可能にする一方、待ち時間も生じさせる
受信ゲートウェイは早く到着したデータを一時的に保存し、必要なクロックに従って読み出します。これがジッタバッファです。これにより、遅れて到着するパケットに対してある程度の余裕を確保します。バッファを浅く設定しすぎると、遅れたデータが出力タイミングに間に合わない場合があります。深く設定しすぎると、エンドツーエンドの待ち時間も増加します。選択の根拠とすべきなのは実際のネットワーク変動とサービスの許容遅延であり、単に最大値に設定することではありません。
バッファリングによって、すでに失われたデータを再生成することはできません。ネットワーク輻輳、パケット損失、長時間の通信断は、対応するサービス障害、代替出力、アラームを引き起こす場合があり、具体的な動作は機器の実装によって異なります。順序が入れ替わったパケットも、機器の処理能力を超えると問題を引き起こす場合があります。したがって、「IPネットワークを通過できる」と「どのようなネットワークでも元の品質を維持する」は、同じ結論ではありません。
再生クロックが対向側での継続的な読み出し方を決める
受信側では、データの再構成に加えて、適切な出力クロックも確立する必要があります。機種と導入形態に応じて、共通の基準クロックを使用する場合もあれば、パケットやバッファ状態に基づいて適応型クロック再生を行う場合もあります。長期的な読み出しレートが書き込みレートよりわずかに速いと、バッファは徐々に空になります。わずかに遅いと、徐々に満杯になります。パケット到着の不均一性と長期的な周波数偏差は、関連はありますが異なる問題です。
RFC 4197は、回線エミュレーションにおけるクロックとネットワーク基準のシナリオを論じています。プロジェクトでは、各端のクロック源、マスター・スレーブ関係、基準喪失後の動作を試運転確認表に記載し、機器マニュアルに従って検証する方が実用的です。ネットワークの時刻同期にNTPを使用しているという事実だけでは、ゲートウェイがNTPを使ってE1インターフェースに必要な周波数特性とジッタ特性を再生できることの証明にはなりません。

飛暢科技のゲートウェイ例とネットワーク容量の確認
飛暢科技のTDM Over IPカテゴリにある4回線E1ゲートウェイFCT-E4-Mの詳細には、4つのE1チャネル、2つのギガビット自動適応電気ポート、1つの100メガビットまたはギガビット自動適応SFPポート、およびConsoleとWEBによる管理が記載されています。複数のE1サービスポートはIP側ポートと分離されており、既存端末の回線を既存ネットワークへ接続しやすくなっています。詳細には、異なるE1チャネルを対向側にマッピングするための複数の宛先IPおよびポート設定についても記載されています。
これらのインターフェース機能から、サービス遅延がゼロであることや、あらゆる公衆ネットワークで利用できることを推測することはできません。帯域幅の計算では、E1ペイロードだけでなく、カプセル化、Ethernet、その他のリンクオーバーヘッドも含めてください。4つのE1チャネルを同時に連続伝送する場合のネットワーク要件は、ときどき少量の管理データを送信する場合とは異なります。パケット長もカプセル化効率と送信前の待ち時間に影響するため、実際にサポートされる範囲内で選択する必要があります。
ネットワーク側では、両端のアドレスに到達できること、関連ポートとMTU条件が要件を満たすことを確認し、経路全体に適切なQoSを実装してください。QoSとはポリシーに従ってトラフィックの優先順位を設定することであり、経路上の機器の連携が必要です。1台のスイッチでタグを付けるだけでは、別の場所の輻輳を解消することはできません。共有ネットワークを使用する場合は、プロジェクト要件に応じてアクセス制御と保護対策も確認してください。サービスの到達性を暗号化と同一視してはいけません。
管理アドレスだけのテストを避ける移行・受入検査の方法
まず、小規模な対向試験で1つのE1と1組のマッピングを確定し、カプセル化、クロック、バッファ、フレームのパラメーターを記録してから、他のチャネルへ展開してください。受入検査は2つの層で行います。IP側では、実負荷時のパケット損失、遅延変動、到達性を確認します。E1側では、信号喪失、フレーム喪失、ビット誤り、実際のサービス継続性を確認します。管理アドレスにpingが通ることは、ネットワーク到達性に関する条件のごく一部を確認したにすぎません。
次に、各サービスが正しい対向側に届くかを1つずつ確認し、双方向の動作と、輻輳時やリンク変更時のアラームおよび復旧動作を観測してください。試験には保守時間帯と切り戻し用の設定が必要であり、運用中の回線に直接テストパターンを投入することは禁止です。サービスが依然としてタイミング要件や遅延要件を満たせない場合は、伝送ネットワークと移行範囲を再評価してください。「プロトコル互換」という表現で実際の制約を覆い隠してはいけません。
資料に関する注記:原理図は技術内容を確認したうえで一般的な仕組みを説明するために使用しており、製品写真や実測記録ではありません。具体的なインターフェース、モード、機能は、選択する機種、バージョン、現場での検証結果に従います。
検証用参考資料:RFC 4553:SAToP
RFC 5086:CESoPSN
RFC 4197:TDM回線エミュレーションの要件
ITU-T G.704:同期フレーム構造
飛暢科技のTDM Over IPカテゴリ
飛暢科技の4回線E1回線エミュレーションゲートウェイFCT-E4-M
中国語の技術記事から翻訳。原文の初回公開日:2025-02-25。原文の最終改訂日時:2026-10-13T14:18:10+08:00。 中国語の原文を読む


